<?php
  // obviously, connecting as root is a horrid idea & your password is (hopefully) different than "password"
  //include PDO DB
try {
  $objDb = new PDO('mysql:host=localhost;port=3306;dbname=world', 'root', 'password', array( PDO::ATTR_PERSISTENT => false));
} catch (PDOException $e) {
  //should drop a PDO error into the logfiles on the live server
  die("PDO Error!: " . $e->getMessage() . "<br/>");
}

// if we get SQL params over GET, then parse them & issue a query (example of a write)
if(isset($_GET)) {
  require_once('SqlVar.php');
  $myGets = $_GET;
  if(isset($myGets['table'])) {
    $strTable = $myGets['table'];
    unset($myGets['table']); // we have to remove table
    $strSql = "INSERT INTO `$strTable` SET ";
    foreach($myGets as $strFieldName => $strFieldVal) {
      // our SqlVar::clean method prevents SQL injection
      $strFieldName = SqlVar::clean($strFieldName);
      $strFieldVal = SqlVar::clean($strFieldVal);

      $arrNewFields[$strFieldName] = $strFieldVal;
      $strSql .= $strFieldName . ' = "'. $strFieldVal . '" ';
    }
    // run the SQL & spit out the 
    print "Attempting to run the sql:<hr>$strSql<hr>";
    // set PDO to allow it to throw exceptions here (we want to catch bad SQL
    $objDb->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

    try {
      if($objDb->query($strSql)) {
	print "Seems to have run fine... looking for your new record in the database";
	$strSql = "SELECT * FROM `$strTable` WHERE ";
	foreach($arrNewFields as $strFieldName => $strFieldVal) {
	  $arrWhereClause[] = $strFieldName . ' = "' . $strFieldVal . '" ';
	}
	$strSql .= implode(' AND ',$arrWhereClause);
	$objRows = $objDb->query($strSql);
	foreach($objRows as $arrRow) {
	  print '<br />HERE IT IS:<br />';
	  var_dump($arrRow);
	  print '<br />';
	}
      }
    } catch (PDOException $e) {
      print "Looks like you had some bad syntax:<br />$e</br>Please try new GET params to resolve";
    }
    print '<hr>';
  }
}

// query some rows every time
$objRows = $objDb->query("SELECT * FROM `City` LIMIT 50");
foreach ($objRows as $arrRow) {
  //  var_dump($arrRow);
  ?>
  <li>
    ID: <?php echo $arrRow["ID"] ?> | 
    Name:  <?php echo $arrRow["Name"]  ?> | 
    CountryCode: <?php echo $arrRow["CountryCode"]  ?> | 
    District: <?php echo $arrRow["District"]  ?> | 
    Population: <?php echo $arrRow["Population"]  ?>
  </li>
<?php
}
?>