<?php
/*
  $Id$
  
  Control Structures Lab

  Write a php program that does all of the following:
  * continually looks for a file in the local filesystem (the script is a long-running daemon)
  * if it finds the file, it outputs a message 'file is here' on a periodic basis
  * if the file goes missing, it outpus a message 'file has disappeared for x seconds'
  * the message should appear every 1 second

  To create the file to be checked, you can use the linux command 'touch [file]'.
  To delete the file to be checked, you can use the linux command 'rm -rf [file]'.

  @author rICh <rich@quicloud.com>
  */

if (ob_get_level() == 0) ob_start();
$strMyFile = 'here-it-is.pid'; // set up our filename
$i = 0;
while(true) {
  $i++;
  $blnFileExists = file_exists($strMyFile);
  if($blnFileExists) {
    $i = 0;
    $strOutput = "$strMyFile is here<br />\n";
    flushOutput($strOutput);
  } else {
    $strOutput = "We've lost $strMyFile for $i seconds<br />\n";
  }
  flushOutput($strOutput);
}

function flushOutput($strOutput) {
  echo $strOutput;
  echo str_pad('',4096)."\n";    
  ob_flush();
  flush();
  sleep(1);
}
ob_end_flush();
?>