<?php
//The preg_match() function returns 1 if a match is found and 0 otherwise.
if (preg_match("/ell/", "Hello World!", $matches)) {
  echo "Match was found <br />";
  echo $matches[0];
}

// strong password validation
$password = "Fyfjk34sdfjfsjq7";

// password must have at least 8 characters (?=.{8,})
// contain at least on lower case char (?=.*[a-z])
// one upper (?=.*[A-Z]), and one digit (?=.*\d)
// (?=…) is a “look ahead” assertion – must match somewhere to the right of whatever is to the
// left of the “(“.
if (preg_match("/^.*(?=.{8,})(?=.*\d)(?=.*[a-z])(?=.*[A-Z]).*$/", $password)) {
    echo "Your passwords is strong.";
} else {
    echo "Your password is weak.";
}

?>