<?php
/*
  $Id$
  
  'cookie read' part of "Cookies" Lab (in Cookies-Sessions Lab)

  Write a 'cookie reader' which will show the user what cookies are installed for this domain.
  The code will need to:
  * Read all the cookies that the user has registered for this domain
  * display the cookies back to the user so that they can see clearly what the key & value is for each cookie
  * As a convenience, provide a link to the 'cookie write' code so that the user can write cookies as well
  
  @author rICh <rich@quicloud.com>
  */

// used to double-check our cookies for this domain

// gotta write P3P headers for IE
header('P3P:CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"');

$strOutput = '';
if(!empty($_COOKIE)) { 
  $strOutput .= "<tr style='font-weight:bold;'><td>COOKIE NAME</td><td>VALUE</td></tr>";
  foreach ($_COOKIE as $key => $val) {
    $strOutput .= "<tr><td>$key</td><td>$val</td></tr>";
  }
} else {
  $strWriteUrl = 'http://'.$_SERVER['HTTP_HOST'].str_replace('read','write',$_SERVER['SCRIPT_NAME']);
  $strOutput .= '<tr><td>Someone ate your cookies<br>You have none</td><td><a href="'.$strWriteUrl.'">Click here to write some '.$strWriteUrl.'</a></td></tr>';
}
?>
<body>
<html>
<table border=1>
<?php echo $strOutput ?>
</table>
You can also <a href='/labs/cookies-sessions/solution/cookie-write.php'>Write Cookies here</a>
