<?php
/*
  $Id$
  
  'cookie write' part of "Cookies" Lab (in Cookies-Sessions Lab)

  Write a 'cookie writer' which will allow the user to write (or delete) cookies for this domain
  The code will need to:
  * accept key=>value get parameters, and for each, write (or delete) a cookie.
  * to delete cookies, the user will pass in the cookie name (key), and 'delete' for value
  * As a convenience, provide a link to the 'cookie read' code so that the user can verify which cookies got written
  
  @author rICh <rich@quicloud.com>
  */

// used to double-check our cookies for this domain

// gotta write P3P headers for IE
header('P3P:CP="IDC DSP COR ADM DEVi TAIi PSA PSD IVAi IVDi CONi HIS OUR IND CNT"');

$strOutput = '';
if(!empty($_GET)) {
  print '<tr style="font-weight:bold;"><td colspan=2>Wrote / Deleted as requested below</td></tr>';
  foreach ($_GET as $key => $val) {
    if($val == 'delete') {
      setcookie($key,'',time() - 3600);
      $val = 'DELETED';
    } else {
      setcookie($key,$val);
      $val = '"'.$val.'" WRITTEN';
    }
    $strOutput .= "<tr><td>$key</td><td>$val</td></tr>";
  }
} else {
  $strBaseUrl='http://'.$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME'];
  $strSet=$strBaseUrl.'?abcd=myVal';
  $strDelete=$strBaseUrl.'?abcd=delete';
  $strOutput .= '<tr style="font-weight:bold;"><td colspan=2>Use this to delete/ write cookies.</td></tr>';
  $strOutput .= '<tr><td>To write "abcd" cookie with value "myVal":</td><td><a href="'.$strSet.'">'.$strSet.'</a></td></tr>';
  $strOutput .= '<tr><td>To delete "abcd" cookie, use "delete" for value:</td><td><a href="'.$strDelete.'">'.$strDelete.'</a></td></tr>';
}

?>
<body>
<html>
<table border=1>
<?php echo $strOutput ?>
</table>
<br>
Verify by <a href='/labs/cookies-sessions/solution/cookie-read.php'>Checking Cookie Read</a><br />
<span style='font-weight:bold'>IE REQUIRES YOU TO CLOSE & RESTART BROWSER TO SEE DELETIONS</span>

