<?php
/*
  $Id$
  
  Data Types Lab (main file to be called)

  This demonstrates calling a simple class.
  Our (much cleaner) code just simply instantiates the Page object & calls several methods inside of it.

  @author rICh <rich@quicloud.com>
  */

// this is the post-refactored HTML page
require_once('Page.php');

// Instantiate the Page class
$webPage = new Page();

// Add the header to the page
$webPage->addHeader('A Page Built with an Object');

// Add something to the body of the page
$webPage->addContent("<p align=\"center\">This page was generated using an object</p>\n");

// Add the footer to the page
$webPage->addFooter(date('Y'), 'Object Designs Inc.');

// Display the page
echo $webPage->get();
?>
