<?php
/*
  $Id$
  
  File Reading Lab

  Takes a file name (either from command line or get params) and does the following with the file:
  * Display the file back to user with line numbers to the left of each line
  * for each line, toggles the display (HTML only) color.

  @author rICh <rich@quicloud.com>
  */

// default to self if no file specified
$filename = $_SERVER['DOCUMENT_ROOT'] . $_SERVER['PHP_SELF'];

// make it work from command line or web
if(isset($_GET['filename']) && !empty($_GET['filename'])) {
  $filename = $_GET['filename'];
} else if(isset($argv) && !empty($argv[1])) {
  $filename = $argv[1];
}

// Read file into an array
$file = file($filename);

// Count the number of lines
$lines = count($file);

// Initialise $alt
$alt = '';

// Loop through the lines in the file
for ($i=0; $i<$lines; $i++) {
  // Creates alternating background color
  if ($alt == '#f5f6f6') {
    $alt = '#ffffff';
  } else {
    $alt = '#f5f6f6';
  }

  // Display the line inside a div tag
  echo '<div style="font-family:verdana; font-size:12px; background-color: ' . $alt . ';">';

  // Use htmlspecialchars to see the raw HTML
  echo $i . ': ' . htmlspecialchars($file[$i]);
  echo "</div>\n";
}
?>