<?php
/*
  $Id$
  
  XML parsing lab, part 1

  Using the 'songs.xml' file, parse out the title, artist and date for each XML node.
  We'll use simpleXML (which most folks use)

  This example borrowed from: http://blog.teamtreehouse.com/how-to-parse-xml-with-php5
  Check out that page for more info / detail / background.

  @author rICh <rich@quicloud.com>
  */

  // load up ourfile -- can we load HTTP XML as well?
$mysongs = simplexml_load_file('songs.xml');

echo "<ul id='songlist'>\n";
foreach ($mysongs as $songinfo) {
  $title=$songinfo->title;
  $artist=$songinfo->artist;
  $date=$songinfo['dateplayed'];
  echo "<li><div class='title'>',$title,'</div><div class='artist'>by ',$artist,'</div><time>',$date,'</time></li>\n";
}
echo '</ul>';
?>